<?php 
require_once('../modelos/Repetidor.php');

$repetidor=new Repetidor();

$idrepetidor=isset($_POST["idrepetidor"])? limpiarCadena($_POST["idrepetidor"]):"";
$nombre_repetidor=isset($_POST["nombre_repetidor"])? limpiarCadena($_POST["nombre_repetidor"]):"";
$idtorre=isset($_POST["idtorre"])? limpiarCadena($_POST["idtorre"]):"";

switch ($_GET["op"])
{
    case 'guardaryeditar':
      if(empty($idrepetidor))
      {
        $rspta=$repetidor->insertar($nombre_repetidor,$idtorre);
        echo $rspta ? "Repetidora Registrado" : "Repetidora no se pudo registrar";
      }
      else {
          $rspta=$repetidor->editar($idrepetidor,$nombre_repetidor,$idtorre);
          echo $rspta ? "Repetidora Actualizada" : "Repetidora no se pudo actualizar";
      }
    break;

    case 'mostrar':
      $rspta=$repetidor->mostrar($idrepetidor);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'eliminar':
      $rspta=$repetidor->eliminar($idrepetidor);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'listarrepetidor':
      $rspta=$repetidor->listarrepetidor();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
        $data[]=array(
          "0"=>$reg->nombre_repetidor,
          "1"=>$reg->nombre_torre,          
          "2"=>'<a href="create.php?idrepetidor=' . $reg->idrepetidor . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>' .
               ' <button class="btn btn-danger btn-xs btn-flat" onclick="eliminar(' . $reg->idrepetidor . ')"><i class="fas fa-trash-alt"></i></button>'
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;

    case 'selectRepetidor': 
      $rspta = $repetidor->selectRepetidor();
      if ($rspta) {
          while ($reg = $rspta->fetch_object()) {
              echo "<option value='" . htmlspecialchars($reg->idrepetidor, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre_repetidor, ENT_QUOTES, 'UTF-8') . "</option>";
          }
      } else {
          echo "<option value=''>No hay torres disponibles</option>";
      }
      break;

      case 'selectRepetidorTorre': 
        $torreid=$_REQUEST["torreid"];
        $rspta = $repetidor->selectRepetidorTorre($torreid);
        if ($rspta) {
            while ($reg = $rspta->fetch_object()) {
                echo "<option value='" . htmlspecialchars($reg->idrepetidor, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre_repetidor, ENT_QUOTES, 'UTF-8') . "</option>";
            }
        } else {
            echo "<option value=''>No hay olt disponibles</option>";
        }
        break;
}

?>